Subject: Re: bug#68477: 29.1; bibtex-braced-string-syntax-table should handle non-ASCII parentheses

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Jan 2025 08:40:30 +0200

> From: Roland Winkler <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 02 Jan 2025 14:58:45 -0600
> 
> On Thu, Jan 02 2025, Eli Zaretskii wrote:
> >> Cc: [email-masked]
> >> From: Roland Winkler <[email-masked]>
> >> Date: Thu, 02 Jan 2025 13:09:41 -0600
> >>
> >> I only discovered this bug report now.  I believe utf-8 defines lots of
> >> pairs of parentheses to which this bug report applies.  Is there a
> >> generic way to modify the syntax of "all" pairs of parentheses (except
> >> the curly brackets "{" and "}") to punctuation so that parsing will
> >> ignore such unpaired parentheses?
> >
> > Emacs should already set up the syntax of those characters, see
> > char-syntax.  Is that what you were looking for?
> 
> Here the goal is the other way round: Emacs should treat these extra
> parentheses not as parentheses, but as punctuation, so that imbalanced
> parentheses do not break the parsing of BibTeX fields that only care
> about "{" and "}", and nothing else.

Please elaborate on "treat these extra parentheses as punctuation".

Also, does map-char-table provide you with the means to do what is
needed for bibtex?  Syntax table is a char-table, so if you want to do
something with all the characters of a certain syntax, you can do that
using map-char-table, I think.